%define anolis_release 1
Summary: Sample Authorization Protocol for X
Name: libXau
Version: 1.0.11
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz


BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(xproto)

%description
This is a very simple mechanism for providing individual access to an X Window
System display.It uses existing core protocol and library hooks for specifying
authorization data in the connection setup block to restrict use of the display
to only those clients that show that they know a server-specific key 
called a "magic cookie".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXau development package

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%check
make check

%files
%doc COPYING
%{_libdir}/libXau.so.6
%{_libdir}/libXau.so.6.0.0

%files doc
%doc AUTHORS README ChangeLog

%files devel
%{_includedir}/X11/Xauth.h
%{_libdir}/libXau.so
%{_libdir}/pkgconfig/xau.pc
%{_mandir}/man3/*.3*

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.0.11-1
- New version 1.0.11

* Mon Sep 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.10-1
- update to 1.0.10

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.9-1
- Init from upstream version 1.0.9

